<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Fab Academy</title>
    <link rel="icon" href="img/fav.png" type="image/x-icon">

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="ionicons/css/ionicons.min.css" rel="stylesheet">

    <!-- main css -->
    <link href="css/style.css" rel="stylesheet">


    <!-- modernizr -->
    <script src="js/modernizr.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>

    <!-- Preloader -->
    <div id="preloader">
        <div class="pre-container">
            <div class="spinner">
                <div class="double-bounce1"></div>
                <div class="double-bounce2"></div>
            </div>
        </div>
    </div>
    <!-- end Preloader -->

    <div class="container-fluid">
       <!-- box-header -->
        <header class="box-header">
            <div class="box-logo">
                <a href="index.html"><img src="img/logo.png" width="120" alt="Logo"></a>
            </div>
            <!-- box-nav -->
            <a class="box-primary-nav-trigger" href="#0">
                <span class="box-menu-text">Menu</span><span class="box-menu-icon"></span>
            </a>
            <!-- box-primary-nav-trigger -->
        </header>
        <!-- end box-header -->

        <!-- nav -->
        <nav>
            <ul class="box-primary-nav">
                <li class="box-label">MDEF Journal</li>

                <li><a href="index.html">Home</a></li>
                <li><a href="about.html">About me</a></li>
                <li><a href="reflection.html">Reflection</a>
                <li><a href="fabAcademy.html">Fab Academy</a></li> <i class="ion-ios-circle-filled color"></i></li>
                <li><a href="project.html">Master Project</a></li>

                <li class="box-label">Follow me</li>
                <li class="box-social"><a target="_blank" href="https://www.facebook.com/chingchia.jen"><i class="ion-social-facebook"></i></a></li>
                <li class="box-social"><a target="_blank" href="https://www.instagram.com/chingchiajen/?hl=zh-tw"><i class="ion-social-instagram-outline"></i></a></li>
                <li class="box-social"><a target="_blank" href="https://www.linkedin.com/in/ching-chia-renn-a85285159/"><i class="ion-social-linkedin"></i></a></li>
                <li class="box-social"><a target="_blank" href="#0"><i class="ion-social-youtube"></i></a></li>
            </ul>
        </nav>
        <!-- end nav -->
    </div>

    <!-- main-container -->
    <div class="container main-container">


        <div class="col-md-12">
            <p class="center"><img width="200" height="200" src="img/reflections/fabA/w06/fab-06.jpg" alt="" /></p>
            <h3 class="center">Electronics Design</h3>
            <h5 class="center">04 March - 10 March 2020</h5>
            <p class="center">Tutors: Santiago Fuentemilla, Eduardo Chamorro, Xavi Domínguez, Óscar González</p>
            <div class="h-30"></div>
        </div>

        <div align="justify">
            <p>The task this week of Fab Academy was to design and make a PCB by using the Kicad or Eagle which are the software for PCBs designing and fabricating.</p>

            <h3>Basic Electronics</h3>
            <p>Before we started to design the PCB, we learned basic electronics first to have a fundamental knowledge about different electronic components and the physics.</p>
            <ul>
              <li>Particle’s electric charge and their role in atoms</li>
              <li>Voltage, current and resistance</li>
              <li>Ohm’s law</li>
             </ul>

            <h3>PCB Design in Kicad</h3>
            <p>The assignment this week was about designing and making a PCB. I used an open source, cross-platform electronics design program - Kicad (<a target="_blank" href="https://kicad-pcb.org/download/">Kicad official website</a>)
            to design the PCB - ESP32.</p>

            <h3>Process</h3>
            <h4>Import Library</h4>
            <ul>
              <li><a href="img/reflections/fabA/w06/kicad_libraries.zip" download>Fab library</a> (kicad_libraries.zip)</li>
              <li><a href="img/reflections/fabA/w06/ESP32-Footprints.zip" download>ESP32</a> (ESP32-Footprints.zip)</li>
             </ul>
            <h4>Create Schematic</h4>
            <p>When all the library had beem set, launching the Eeschema which is electronic schematic layout editor and starting with the schematics design.</p>
            <p>First step is to add the symbols I need.
              Clinking on "Place Symbol" button at the right bar, and clicking blank place then it would show up the Symbol Libraries window that I can choose the symbols from it.</p>
            <img src="img/reflections/fabA/w06/addS.png" class="img-responsive" alt="" />
            <h5 class="center">Add Symbols - esp 32</h5>
            <div class="h-30"></div>
            <p>Selecting the symbol and pressing "E" on keyboard, it would show up the Symbols Properties window that I can edit and set reference, value, footprint, and datasheet in it.</p>
            <img src="img/reflections/fabA/w06/symbolProp.png" class="img-responsive" alt="" />
            <h5 class="center">Set Symbols Properties</h5>
            <div class="h-30"></div>
            <p>To notice! Don't forget to set up the footprints of connectors, otherwise the footprints of connectors will miss in the Pcbnew (PCB layout editor).
              At the first time, I totally missed this process and when I generated the netlist into the Pcbnews, there were not connectors footprint showed up.
              Clicking on the right side of footprint blank can go into the footprint library browser to select the footprint connector.</p>
            <img src="img/reflections/fabA/w06/footprint.jpg" class="img-responsive" alt="" />
            <h5 class="center">Set connector footprint in Symbols Properties</h5>
            <div class="h-30"></div>
            <img src="img/reflections/fabA/w06/footprint3.png" class="img-responsive" alt="" />
            <h5 class="center">Select the connector footprint in Footprint Library Browser</h5>
            <div class="h-30"></div>
            <p>Connecting all the components with lines to complete the schematic.</p>
            <img src="img/reflections/fabA/w06/schematic.png" class="img-responsive" alt="" />
            <h5 class="center">Finish Schematic</h5>
            <div class="h-30"></div>

            <h4>Generate Netlist</h4>
            <p>After finishing with the schematics design, I clicked on "Generate Netlist" button at the top bar to generate a .net file.
              Generate Netlist is a list of components and references which serves as a link between the schema and the PCB layout editor.</p>
            <img src="img/reflections/fabA/w06/gNetlist.png" class="img-responsive" alt="" />
            <div class="h-30"></div>

            <h4>Create PCB layouts</h4>
            <p>Then, jumping to PCB layouts editor.
              First thing is to load the Netlist by clicking on "Read netlist" button at the top bar, and keep normal settings then click on "Read Current Netlist".
              Then the components would be generated into the Pcbnew.</p>
            <img src="img/reflections/fabA/w06/pcbnew1.png" class="img-responsive" alt="" />
            <h5 class="center">Components were genersted in the Pcbnew</h5>
            <div class="h-30"></div>
            <p>Before starting to draw tracks, I went to Setup to set the Design Rules. In the design rule setting, I used a minimum track width of 0.4mm, leaving the rest to default.</p>
            <img src="img/reflections/fabA/w06/boardSet.png" class="img-responsive" alt="" />
            <h5 class="center">Setting the design rules</h5>
            <div class="h-30"></div>
            <img src="img/reflections/fabA/w06/pcbnew2.png" class="img-responsive" alt="" />
            <h5 class="center">Finished PCB layout</h5>
            <div class="h-30"></div>

            <h4>Export PDF</h4>
            <p>After finishing with the PCB design in Pcbnew, I would like to export PDF file for editing in Illustrator.</p>
            <p>Click on "File > Plot", selet PDF and select "F.Cu", "B.Cu", "Edge.Cuts", then plot. Three PDF files were generated, one is the trace, another is the holes, and the outline.</p>
            <img src="img/reflections/fabA/w06/exportPDF.png" class="img-responsive" alt="" />
            <h5 class="center">Export PDF</h5>
            <div class="h-30"></div>
            <p>I opened the PDF files in Illustrator, I can see trace and holes in each file, but there was empty in the outline file. Therefore, I need to draw a outline in Illustrator and also adjust the size of PCB.
            In order to ensure that the three layers (trace, holes, and outline file) can be aligned together properly, I drew the outline and adjusted the size of PCB in the trace file first,
            then I grouped all the traces and copied them with outline to the holes file and made them fit with holes.
            After adjusting the size of PCB in the holes file, deleting the group of trace, so that I can get the trace and holes files in the same size, trace and holes aligned.</p>
            <img src="img/reflections/fabA/w06/ai_pdf.png" class="img-responsive" alt="" />
            <h5 class="center">Editing PDF in Illustrator</h5>
            <div class="h-30"></div>
            <p>Finally, exporting the trace, the hols, and the outline file into PNG. It's ready to upload to the <a target="_blank" href="http://mods.cba.mit.edu/">Mods</a> or <a target="_blank" href="http://fabmodules.org/">FabModules</a> to calculate the path into rml file (I used Mods this time).</p>

            <h3>Problem & Solving</h3>
            <p>I would like to generate the rml file for preparing the milling, so I went to the Mods.
              However, when I uploaded the trace png image file to the Mods, and after calculating the path, in the 2D mill raster toolpath preview, I found that there were some parts of the tracks were too close and the toolpath cannot go through.</p>
            <p>The image shows down below:</p>
            <img src="img/reflections/fabA/w06/old.png" class="img-responsive" alt="" />
            <div class="h-30"></div>
            <p>It can be seen very clearly there were the places that I framed them in rectangles were the problem part.</p>
            <p>In order to fix the problem and prepare a good file for milling, I went back to the Pcbnew editor again to re-draw and modify some tracks and trid to fix the problem by comparing the previous trace file.</p>
            <img src="img/reflections/fabA/w06/pcbnew3.png" class="img-responsive" alt="" />
            <h5 class="center">After re-drawing and modifying</h5>
            <div class="h-30"></div>
            <p>When I finished modification in Pcbnew editor and also adjusting everything in Illustrator, I uploaded the image to Mods and to check out the toolpath again. And I think it looks much better this time.</p>
            <img src="img/reflections/fabA/w06/new.jpg" class="img-responsive" alt="" />
            <h5 class="center">New toolpath of the trace</h5>
            <div class="h-30"></div>
            <img src="img/reflections/fabA/w06/old_new.jpg" class="img-responsive" alt="" />
            <h5 class="center">Red: previous / White: new</h5>
            <div class="h-30"></div>

            <h3>Final PNG</h3>
            <img src="img/reflections/fabA/w06/PNG.jpg" class="img-responsive" alt="" />
            <h5 class="center">Trace / Outline / Holes</h5>
            <div class="h-30"></div>

            <h3>Files</h3>
            <ul>
              <li><a href="img/reflections/fabA/w06/kicad_class-F_Cu.png" download>Trace</a> (.png)</li>
              <li><a href="img/reflections/fabA/w06/kicad_class-Edge_Cuts.png" download>Outline</a> (.png)</li>
              <li><a href="img/reflections/fabA/w06/kicad_class-B_Cu.png" download>Holes</a> (.png)</li>
              <li><a href="img/reflections/fabA/w06/class.zip" download>KiCad</a> Original design files (.zip)</li>
             </ul>

        </div>
        </div>


    <!-- end main-container -->


    <!-- footer -->
    <footer>
        <div class="container-fluid">
            <p class="copyright">Ching-Chia Renn © MDEF 2019-2020</p>
        </div>
    </footer>
    <!-- end footer -->

    <!-- back to top -->
    <a href="#0" class="cd-top"><i class="ion-android-arrow-up"></i></a>
    <!-- end back to top -->




    <!-- jQuery -->
    <script src="js/jquery-2.1.1.js"></script>
    <!--  plugins -->
    <script src="js/bootstrap.min.js"></script>
    <script src="js/menu.js"></script>
    <script src="js/animated-headline.js"></script>
    <script src="js/isotope.pkgd.min.js"></script>


    <!--  custom script -->
    <script src="js/custom.js"></script>

    <!-- google analytics  -->
    <script>
        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r;
            i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date();
            a = s.createElement(o),
                m = s.getElementsByTagName(o)[0];
            a.async = 1;
            a.src = g;
            m.parentNode.insertBefore(a, m)
        })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

        ga('create', 'UA-76796224-1', 'auto');
        ga('send', 'pageview');
    </script>

</body>

</html>
